How to make 'O-SNAP' changes default?

Dear Respected Brics CAD users,'

When I re-open the Brics CAD file, to dimension or to draw, I need to use 'O-SNAP' command to select point. But when I close the file, I need to use 'O-SNAP' again.

Can I make it default? so I won't have to use it again and again.

Thank you for your attention.

Comments

  • This is one way to reset osnaps I have these in a custom lsp so it gets autoloaded on startup.

    (defun C:15 ()(setvar "osmode" 15359)) ; sets all snaps on
    (defun C:47 ()(setvar "osmode" 47)(setvar "AUNITS" 0))
    (defun C:99 ()(setvar "osmode" 99))
    (defun C:8 ()(setvar "osmode" 8))
    (defun C:9 ()(setvar "osmode" 9))
    (defun C:0 ()(setvar "osmode" 0))

  • Thank you for your reply.

    to me it seems like some code, I don't know how to use it? I am an absolute beginner. can you guide me?

  • Open “Settings”

    Search for “Entity Snap Mode”

    Select “Node” (point)

    Select any other Entity Snaps you want.

    You will see the Entity Snap Mode number above change.

    (In the case illustrated, I use snaps resulting in (4607)).

    Locate and open your “on-doc_load.lsp” file in Notepad.

    Add the following (but change the number to match your Entity Snap Mode selection:

    (setvar "OSMODE" 4607)

    (princ)

  • A little hidden function that works in some command like line. You can change the osnap setting in the middle of the command.

    (defun c:1 ( / )(setvar 'osmode 1)) ; can use 1 as not used,

    note in next line apostrophe is used with the 1.

    Line pickpoint '1 picknextpoint

    osnap is now set to end only.

    Add your defuns to the “on-doc_load.lsp” or a custom lisp that using Appload has been added to the autoload on start up, my preferred way.